commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From tcu...@apache.org
Subject svn commit: r546428 - in /jakarta/commons/proper/jci/trunk: assembly/ build-dists.sh pom.xml
Date Tue, 12 Jun 2007 09:06:00 GMT
Author: tcurdt
Date: Tue Jun 12 02:05:59 2007
New Revision: 546428

URL: http://svn.apache.org/viewvc?view=rev&rev=546428
Log:
assembly is not working as needed


Removed:
    jakarta/commons/proper/jci/trunk/assembly/
Modified:
    jakarta/commons/proper/jci/trunk/build-dists.sh
    jakarta/commons/proper/jci/trunk/pom.xml

Modified: jakarta/commons/proper/jci/trunk/build-dists.sh
URL: http://svn.apache.org/viewvc/jakarta/commons/proper/jci/trunk/build-dists.sh?view=diff&rev=546428&r1=546427&r2=546428
==============================================================================
--- jakarta/commons/proper/jci/trunk/build-dists.sh (original)
+++ jakarta/commons/proper/jci/trunk/build-dists.sh Tue Jun 12 02:05:59 2007
@@ -1,46 +1,64 @@
 #!/bin/sh
 
-TMP="`pwd`/target"
-DIST="$TMP/dist"
-LIB="$DIST/lib"
-
-find $TMP -name *.zip -delete
-find $TMP -name *.tar.gz -delete
-rm -R $DIST 2>/dev/null
+set -e
 
+BASE=`pwd`
 
-# build source dist
+RC=`xml sel -N m=http://maven.apache.org/POM/4.0.0 -t -v '/m:project/m:properties/m:release.tag'
$BASE/pom.xml`
+STAGING=`xml sel -N m=http://maven.apache.org/POM/4.0.0 -t -v "/m:project/m:profiles/m:profile[m:id/text()
= 'release']/m:distributionManagement/m:repository/m:url" $BASE/pom.xml | sed "s/\\${commons.deployment.protocol}:\/\//$USER@/"
| sed "s/\\${release.tag}/$RC/" | sed 's#/#:/#'`
+RELEASE=`echo $RC|sed s/-.*//`
+
+echo "creating $RELEASE from $RC at $STAGING"
+
+MAVEN_RELEASE="$BASE/target/maven-dist"
+DIST="$BASE/target/dist"
 
-tar czvf $TMP/commons-jci-1.0-src.tar.gz --exclude .svn --exclude target --exclude dist.sh
.
-zip -r $TMP/commons-jci-1.0-src.zip . -x "*.svn/*" -x "target/*"
+rm -R $MAVEN_RELEASE 2>/dev/null || true
+rm -R $DIST 2>/dev/null || true
 
+scp -r $STAGING $MAVEN_RELEASE
 
 
 # build binary dist
 
+LIB="$DIST/bin/lib"
 mkdir -p $LIB 2>/dev/null
 
-JARS=`find target -type f -name "*-1.0.jar"`
+JARS=`find $MAVEN_RELEASE -type f -name "*-$RELEASE.jar"`
 
 for A in $JARS ; do
     cp $A $LIB
 done
 
-cp LICENSE.txt NOTICE.txt $DIST
+cp $BASE/LICENSE.txt $BASE/NOTICE.txt $DIST/bin
 
+cd $DIST/bin
 
+tar czvf $BASE/target/commons-jci-$RELEASE-bin.tar.gz .
+zip -r $BASE/target/commons-jci-$RELEASE-bin.zip .
 
-cd $DIST
+cd -
 
-tar czvf $TMP/commons-jci-1.0-bin.tar.gz .
-zip -r $TMP/commons-jci-1.0-bin.zip .
 
 
 
+# build source dist
+
+SOURCE=`xml sel -N m=http://maven.apache.org/POM/4.0.0 -t -v "/m:project/m:scm/m:developerConnection"
$BASE/pom.xml | sed 's/scn:svn://' | sed "s/trunk/tags\/$RC/"`
+
+mkdir -p $DIST/src 2>/dev/null
+cd $DIST/src
 
+svn co $SOURCE .
 
-ARTIFACTS="$TMP/commons-jci-1.0-bin.tar.gz $TMP/commons-jci-1.0-bin.zip $TMP/commons-jci-1.0-src.tar.gz
$TMP/commons-jci-1.0-src.zip"
 
+tar czvf $BASE/target/commons-jci-$RELEASE-src.tar.gz --exclude .svn --exclude target --exclude
dist.sh .
+zip -r $BASE/target/commons-jci-$RELEASE-src.zip . -x "*.svn/*" -x "target/*"
+
+
+# sign
+
+ARTIFACTS="`find $BASE/target -name *.zip -maxdepth 1` `find $BASE/target -name *.tar.gz
-maxdepth 1`"
 
 RUNNING=`ps -ax | grep gpg-agent | grep -v grep`
 if [ -z "$RUNNING" ]; then
@@ -58,8 +76,7 @@
   openssl sha1 < $A > $A.sha1
 done
 
-
-for A in $TGZS $ZIPS ; do
+for A in $ARTIFACTS ; do
   echo $A
   gpg --verify $A.asc $A
 done

Modified: jakarta/commons/proper/jci/trunk/pom.xml
URL: http://svn.apache.org/viewvc/jakarta/commons/proper/jci/trunk/pom.xml?view=diff&rev=546428&r1=546427&r2=546428
==============================================================================
--- jakarta/commons/proper/jci/trunk/pom.xml (original)
+++ jakarta/commons/proper/jci/trunk/pom.xml Tue Jun 12 02:05:59 2007
@@ -47,7 +47,6 @@
         <module>compilers/javac</module>
         <module>compilers/rhino</module>
         <module>examples</module>
-        <module>assembly</module>
     </modules>
     <distributionManagement>
         <site>



---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message